<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<FrontCap>
    <tag key="HAL_CUSTOM_MODE_RECOMMENDATION_SUPPORTED" type="uint8_t">
       <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_MODE_RECOMMENDATION_BEAUTY_SUPPORTED" type="uint8_t">
       <value>0</value>
    </tag>
    <tag key="HAL_CUSTOM_LCD_COMPENSATE_SUPPORTED" type="uint8_t">
       <value>3</value>
    </tag>
    <tag key="HAL_CUSTOM_CAPTURE_MIRROR_SUPPORTED" type="uint8_t">
       <value>3</value>
    </tag>
    <tag key="HAL_CUSTOM_CAPTURE_BEAUTY_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_NIGHT_MODES" type="uint8_t">
       <value>2</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_ZOOM_SUPPORT" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_AUTO_SWITCH_WIDE_FOV_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_VIDEO_WATER_MARK_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_PORTRAIT_SLOWSHUTTER_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_PORTRAIT_SLOWSHUTTER_TIME" type="int32_t">
        <value>2000</value>
    </tag>
    <tag key="HAL_CUSTOM_TIMELAPSE_BEAUTY_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_RT_WORK_CURRENT_CAMERA_AVAILABLE_CONFIGS" type="char">
        <value>Front:1:0</value>
    </tag>
    <tag key="HAL_CUSTOM_RT_TAKE_PICTURE_CAMERA_AVAILABLE_CONFIGS" type="char">
        <value>Front:1:3264*2448:0</value>
    </tag>
    <tag key="HAL_CUSTOM_RT_PREVIEW_INTERFERE_CAMERA_AVAILABLE_CONFIGS" type="char">
        <value>Front:1:3264*2448:0:15</value>
    </tag>
    <tag key="HAL_CUSTOM_ISGRARD_JPEGSIZE_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_IS_MULTI_FACE_SWITCH_FRONT_WIDE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_QUICK_ZOOM_CHOICE" type="int32_t">
        <value>100</value>
        <value>-1</value>
        <value>0</value>
        <value>2</value>
        <value>2</value>
        <value>80</value>
        <value>100</value>
        <value>-1</value>
        <value>16</value>
        <value>2</value>
        <value>2</value>
        <value>80</value>
        <value>100</value>
        <value>-1</value>
        <value>23</value>
        <value>2</value>
        <value>2</value>
        <value>80</value>
        <value>100</value>
        <value>-1</value>
        <value>28</value>
        <value>2</value>
        <value>1</value>
        <value>89</value>
        <value>111</value>
        <value>-1</value>
        <value>65</value>
        <value>2</value>
        <value>2</value>
        <value>80</value>
        <value>100</value>
    </tag>
        <tag key="HAL_CUSTOM_LANDSCAPE_QUICK_ZOOM_CHOICE" type="int32_t">
        <value>100</value>
        <value>-1</value>
        <value>0</value>
        <value>1</value>
        <value>1</value>
        <value>80</value>
        <value>-1</value>
        <value>16</value>
        <value>1</value>
        <value>1</value>
        <value>80</value>
        <value>-1</value>
        <value>23</value>
        <value>1</value>
        <value>1</value>
        <value>80</value>
        <value>-1</value>
        <value>65</value>
        <value>1</value>
        <value>1</value>
        <value>80</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_ZOOM_SLIDE_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_LOWER_NORMAL_VIDEO_FRONT_4k_SIZE" type="uint8_t">
       <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_SCENE_ZOOM_CAPABILITY" type="int32_t">
      <!--normal video begin-->
      <value>28</value>
      <value>3840</value>
      <value>2160</value>
      <value>60</value>
      <value>71</value>
      <value>111</value>
      <value>2</value>
      <value>111</value>
      <value>89</value>
      <value>0</value>
      <value>0</value>
      <value>28</value>
      <value>1920</value>
      <value>1080</value>
      <value>60</value>
      <value>71</value>
      <value>111</value>
      <value>2</value>
      <value>111</value>
      <value>89</value>
      <value>0</value>
      <value>0</value>
      <value>28</value>
      <value>2400</value>
      <value>1080</value>
      <value>60</value>
      <value>71</value>
      <value>111</value>
      <value>2</value>
      <value>111</value>
      <value>89</value>
      <value>0</value>
      <value>0</value>
      <value>28</value>
      <value>1280</value>
      <value>720</value>
      <value>60</value>
      <value>71</value>
      <value>111</value>
      <value>2</value>
      <value>111</value>
      <value>89</value>
      <value>0</value>
      <value>0</value>
      <!--normal video end-->
   </tag>
    <tag key="HAL_CUSTOM_VIDEO_RESOLUTION_FPS_SUPPORTED" type="int32_t">
      <value>1920</value>
      <value>1080</value>
      <value>60</value>
      <value>2400</value>
      <value>1080</value>
      <value>60</value>
      <value>1280</value>
      <value>720</value>
      <value>60</value>
    </tag>
    <!-- slowmotion uses Q-orignal usecase, so doesnt need HAL_CUSTOM_ZOOM_RATIO_ADJUST_COEFFICIENTS -->
    <tag key ="HAL_CUSTOM_INVALID_ZOOM_RATIO_ADJUST_COEFFICIENTS" type = "uint32_t">
        <value>33</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONTHIGHPIXEL_SUPPORTED" type="uint8_t">
        <value>1</value>
    </tag>
    <tag key="HAL_CUSTOM_FRONT_NORMAL_VIDEO_DYNAMIC_FPS_SUPPORTED" type="uint8_t">
       <value>1</value>
    </tag>
</FrontCap>
